using System;
using System.Runtime.InteropServices;
using System.EnterpriseServices;
using System.Xml;
using BTSComponentsLib;

namespace CSharpBTSAIC
{
	// Summary description for AICtoFile.
	

	// Guid attribute ensures same Guid is used for all compilations, similar to binary compatiblity in VB6
	[Guid("1AA73916-FB97-4049-B1AF-DF6BBB43CDB2")]
	// BTSInterop Inherits ServicedComponent and Implements IBTSAppIntegration
	public class AICtoFile: ServicedComponent, IBTSAppIntegration
	{
		public AICtoFile()
		{
			//
			// TODO: Add constructor logic here
			//
		}

		// This means that the transaction governing the object will automatically SetComplete() if the method call returns normally. If the method call throws an exception, the transaction will be aborted
		string IBTSAppIntegration.ProcessMessage(string strDocument)
		{
			// Write the Input XML to a file
			XmlDocument xmlDoc = new XmlDocument();
			xmlDoc.LoadXml(strDocument);
			xmlDoc.SelectSingleNode("BTSAICRoot/MessageText").InnerText = "Message from AIC";
			xmlDoc.Save(@"C:\btsdotnet\AICDeploy\Reply\Output.XML");

			// Simply return the Input as Output
			return strDocument;
		}
	}
}
